<ion-content>
  <ion-row class="mt-75">
    <ion-col size="12" class="ion-text-center">
      <img src="../../../assets/lumi_logo1.png" alt="">
    </ion-col>

    <ion-col size="12" class="ion-text-left mt-80">
      <ion-label color="primary">USUARIO</ion-label>
    </ion-col>
    <ion-col size="11">
      <ion-input type="email"  (ionFocus)="Espaciosdx($event)" (ionBlur)="Espaciosdx($event)" (ionInput)="Espaciosdx($event)" (ionChange)="Espaciosdx($event)"  pattern="^([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$" [(ngModel)]="correo"
                name='email' placeholder="usuario@email.com">
      </ion-input>
    </ion-col>

    <ion-col size="12" class="ion-text-left  mt-30">
      <ion-label color="primary">CONTRASEÑA</ion-label>
    </ion-col>
    <ion-col size="11">
      <ion-input (ionChange)="vercontra($event)" type="password" [type]="tipodeinput" [(ngModel)]="contra" name='password' placeholder="********" required>
      </ion-input>
    </ion-col>
    <ion-col size="1">
      <button *ngIf="mostrariconover" style="padding: 0;
    padding-top: 15px;" class="btn_eye_icon" (click)="togglePasswordMode()">
              <ion-icon  item-end  [name]="(tipodeinput === 'text')?'eye':'eye-off'"></ion-icon>
      </button>
    </ion-col>

  </ion-row>
  <ion-row class="ion-margin-bottom mt-30">
      <ion-col size="12" class="ion-text-center">
        <button color="primary" class="submit-btn" full type="submit" (click)="logForm()">
        ENTRAR
        </button>
      </ion-col>
      <ion-col size="12" class="ion-text-center">
        <a [routerLink]="['/recuperar-contra']" style="text-decoration: none;"><span style="color: gray;" >¿Olvidaste tu contraseña?</span></a>
      </ion-col>
    </ion-row>
</ion-content>
